Solved

OLVM proxy support

  • 12 January 2022
  • 16 replies
  • 159 views

Userlevel 3
Badge +9

Hi!

I’ve been wondering about proxy support for OLVM. If you look at docs there is an information that one should look to RHEV

  1. https://documentation.commvault.com/11.25/expert/129769_oracle_linux_virtualization_manager.html

And if you go down that path you will find that supported proxies are:

RHEL 6.5, RHEL 7.1, 7.2, 7.3, 7.4, 7.5, 8 and 

Windows 2012R2, 2016 and 2019

  1. https://documentation.commvault.com/11.25/expert/3358_system_requirements_for_virtual_server_agent_with_red_hat_enterprise_virtualization.html

On the other hand using link 1) you will find that there is also another link for VSA support for oVirt on KVM, 

And if you go down that path you will find that supported proxies are:

RHEL 6.5, RHEL 7 and

CentOS 6.5, CentOS 7

Windows 2008R2, 2012R2, 2016 and 2019

  1. https://documentation.commvault.com/11.25/expert/31916_virtual_server_agent_support_for_ovirt_on_kvm.html

So both of this pages offers you somewhat different VSA requirements and it is unclear of which one should you follow.

 

The other thing is that it is unclear whether RHEL 7 and CentOS 7 means up to newest releases like 7.9 or just the initial release. If it is former I think it would make more sense to follow notation from 2. link and use 7.x and if it’s the latter then most of the Linux variants for VSA are EOS.

 

And for the last thing: since this is a OLVM it would make the most sense to use Oracle Linux as Proxy, but it doesn’t figure in docs as supported OS, so I’m wondering if docs are just outdated and Oracle Linux is supported as VSA Proxy or they are indeed not supported?

 

I would appreciate if anyone could clarify this.

icon

Best answer by Bhama 15 February 2022, 17:17

View original

16 replies

Userlevel 7
Badge +23

Good find, @Robert Horowski .  Let me talk to our docs team and see which is the correct list (and get the others updated).

Userlevel 7
Badge +23

I heard back already (our docs team is fast)!

They are already working on consolidating all of these disparate pages for the next Maintenance Release, so no need for you nor I to create a doc MR.

In the meantime, they suggested looking at the modified date on each doc, and going with the newer one (until this is all cleared up).

Let me know if that helps!

Userlevel 3
Badge +9

Hi @Mike Struening 

Thanks for quick reply! If I go down that route it’s the

  1. https://documentation.commvault.com/11.25/expert/31916_virtual_server_agent_support_for_ovirt_on_kvm.html

Which still holds a question about RHEL, CentOS version being EOS and Oracle Linux support

 

And if you go down that path you will find that supported proxies are:

RHEL 6.5, RHEL 7 and

CentOS 6.5, CentOS 7

Windows 2008R2, 2012R2, 2016 and 2019

and

The other thing is that it is unclear whether RHEL 7 and CentOS 7 means up to newest releases like 7.9 or just the initial release. If it is former I think it would make more sense to follow notation from 2. link and use 7.x and if it’s the latter then most of the Linux variants for VSA are EOS.

 

I don’t think I can ask customer to deploy unsupported OS for Commvault Proxy.

So if you are able to ask someone about RHEL/CentOS version and especially about Oracle Linux support as proxy it would be great!

Userlevel 7
Badge +23

Sure thing, @Robert Horowski .  I’ll try and get an ETA on the update as well as a definitive answer.

Badge

Hi Mike/Robert,

 

Newest version of Redhat and CentOS linux is supported as VSA proxies like 7.9.

we are fixing our docs to reflect the same.

 

Regards,

Vinod

Userlevel 7
Badge +23

@Robert Horowski , let me know if @Vinod RD answered your question :nerd:

Userlevel 3
Badge +9

Thanks @Vinod RD !

 

Could you please also comment on Oracle Linux support as proxy VSA? I imagine that since it is Oracle platform and majority of VMs are running on Oracle Linux a customers default choice would be to use Oracle Linux as proxy VM. (Well actually even without imagining it is, because it’s another OLVM customer who wants to use OL as VSA).

Let me know if you have any information regarding OL distribution support for VSA proxy.

Userlevel 3
Badge +9

@Mike Struening 

I think we are pretty close :slight_smile:

Userlevel 3
Badge +9

Hi @Mike Struening 

It’s dead silent here. Can you think of anyone who could comment on Oracle Linux as supported VSA proxy OS? Even if that’s a no go I think that any answer would be better than silence :-)

Userlevel 7
Badge +23

Yeah, anything is better than radio silence!

I’ll chase this down.

Userlevel 2
Badge +3

Sorry for the late response. Yes Oracle Linux is  supported VSA proxy OS.

 

Userlevel 3
Badge +9

Hi @Bhama 

This is great news!

If you could just share some detail of what versions of OL are supported then I think we will be able to mark this thread as solved.

Thanks!

Userlevel 2
Badge +3

We recently certified  on OEL 8.5 too. Please try on OEL 8.4 or 8.5.

 

Thanks

Userlevel 6
Badge +14

Other point to mention is that the OVA templates who can be picked from the cloud portal are also based on OLVM starting FR24.

Userlevel 3
Badge +9

Hi @Onno van den Berg 

Thanks for your input. I’m aware of that but still I wasn’t sure if it can be used as proxy for OLVM, but as @Bhama said 8.5 was recently certified and I can confirm that I’ve been able to successfully run backups and restores using OL 8.4.

Hopefully this will be reflected in documentation soon.

Thanks!

Userlevel 2
Badge +3

Yes, we are working on updating the BOL and will update you when it's reflected.

 

 

Reply